## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex:

List of all members.

## Public Methods

- SetAndRestoreCurrentStackFrameIndex ( StylesheetExecutionContext& executionContext, int newIndex)
- ~SetAndRestoreCurrentStackFrameIndex ()
- int getStackFrameIndex () const

## Constructor & Destructor Documentation

StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex::SetAndRestoreCurrentStackFrameIndex ( | StylesheetExecutionContext & executionContext,
| int newIndex )

StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex::~SetAndRestoreCurrentStackFrameIndex ( | )`[]`

## Member Function Documentation

int StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex::getStackFrameIndex ( | ) const`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.